Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] testing/goobook: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Sat, 25 Feb 2017 16:09:44 +0800

https://gitlab.com/goobook/goobook
Access Google contacts from the command line
---
 testing/goobook/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/goobook/APKBUILD
diff --git a/testing/goobook/APKBUILD b/testing/goobook/APKBUILD
new file mode 100644
index 0000000..dde3f0e
--- /dev/null
+++ b/testing/goobook/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=goobook
+_pkgname=goobook
+pkgver=1.9
+pkgrel=0
+pkgdesc="Access Google contacts from the command line"
+url="https://gitlab.com/goobook/goobook"
+arch="all"
+license="GPL3"
+depends="py-httplib2 py-asn1 py-rsa py-asn1-modules py-six"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	depends="${depends//py-/py2-}"
+	_py python2
+}
+
+_py3() {
+	depends="${depends//py-/py3-}"
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+}
+
+sha512sums="66d017bfa0fcad39d24b80e454d4d2e97f92a95f6dbf545739b89721b8c44702177a7f656d9cf1f38ac8278f235935afe666047cbfb64733f8deae6838f91d81  goobook-1.9.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Feb 25 2017 - 16:09:44 GMT